Library
Library object
- jarstring
URI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "s3://my-bucket/library.jar" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "abfss://my-bucket/library.jar" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the jar library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "gs://my-bucket/library.jar" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- eggstring
Deprecated. URI of the egg library to install. Installing Python egg files is deprecated and is not supported in Databricks Runtime 14.0 and above.
- pypiobject
Specification of a PyPi library to be installed. For example:
{ "package": "simplejson" }Show child attributesHide child attributes
- packagestring
The name of the pypi package to install. An optional exact version specification is also supported. Examples: "simplejson" and "simplejson==3.8.0".
- repostring
The repository where the package can be found. If not specified, the default pip index is used.
- mavenobject
Specification of a maven library to be installed. For example:
{ "coordinates": "org.jsoup:jsoup:1.7.2" }Show child attributesHide child attributes
- coordinatesstring
Gradle-style maven coordinates. For example: "org.jsoup:jsoup:1.7.2".
- repostring
Maven repo to install the Maven package from. If omitted, both Maven Central Repository and Spark Packages are searched.
- exclusionsarray of string
List of dependences to exclude. For example:
["slf4j:slf4j", "*:hadoop-client"].Maven dependency exclusions: https://maven.apache.org/guides/introduction/introduction-to-optional-and-excludes-dependencies.html.
- cranobject
Specification of a CRAN library to be installed as part of the library
Show child attributesHide child attributes
- packagestring
The name of the CRAN package to install.
- repostring
The repository where the package can be found. If not specified, the default CRAN repo is used.
- whlstring
URI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "s3://my-bucket/library.whl" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "abfss://my-bucket/library.whl" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the wheel library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "gs://my-bucket/library.egg" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- requirementsstring
URI of the requirements.txt file to install. Only Workspace paths and Unity Catalog Volumes paths are supported. For example:
{ "requirements": "/Workspace/path/to/requirements.txt" }or{ "requirements" : "/Volumes/path/to/requirements.txt" }
List GA
GET
Get the status of libraries on a cluster. A status is returned for all libraries installed on this cluster via the API or the libraries UI. The order of returned libraries is as follows:
- Libraries set to be installed on this cluster, in the order that the libraries were added to the cluster, are returned first.
- Libraries that were previously requested to be installed on this cluster or, but are now marked for removal, in no particular order, are returned last.
API scopes: libraries
Parameters
- cluster_idstringquery
Unique identifier of the cluster whose status should be retrieved.
Response
- cluster_idstring
Unique identifier for the cluster.
- library_statusesarray of object
Status of all libraries on the cluster.
Show child attributesHide child attributes
- libraryobject
Unique identifier for the library.
Show child attributesHide child attributes
- jarstringRequired
URI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "s3://my-bucket/library.jar" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "abfss://my-bucket/library.jar" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the jar library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "gs://my-bucket/library.jar" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- eggstringRequired
Deprecated. URI of the egg library to install. Installing Python egg files is deprecated and is not supported in Databricks Runtime 14.0 and above.
- pypiobjectRequired
Specification of a PyPi library to be installed. For example:
{ "package": "simplejson" }Show child attributesHide child attributes
- packagestring
The name of the pypi package to install. An optional exact version specification is also supported. Examples: "simplejson" and "simplejson==3.8.0".
- repostring
The repository where the package can be found. If not specified, the default pip index is used.
- mavenobjectRequired
Specification of a maven library to be installed. For example:
{ "coordinates": "org.jsoup:jsoup:1.7.2" }Show child attributesHide child attributes
- coordinatesstring
Gradle-style maven coordinates. For example: "org.jsoup:jsoup:1.7.2".
- repostring
Maven repo to install the Maven package from. If omitted, both Maven Central Repository and Spark Packages are searched.
- exclusionsarray of string
List of dependences to exclude. For example:
["slf4j:slf4j", "*:hadoop-client"].Maven dependency exclusions: https://maven.apache.org/guides/introduction/introduction-to-optional-and-excludes-dependencies.html.
- cranobjectRequired
Specification of a CRAN library to be installed as part of the library
Show child attributesHide child attributes
- packagestring
The name of the CRAN package to install.
- repostring
The repository where the package can be found. If not specified, the default CRAN repo is used.
- whlstringRequired
URI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "s3://my-bucket/library.whl" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "abfss://my-bucket/library.whl" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the wheel library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "gs://my-bucket/library.egg" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- requirementsstringRequired
URI of the requirements.txt file to install. Only Workspace paths and Unity Catalog Volumes paths are supported. For example:
{ "requirements": "/Workspace/path/to/requirements.txt" }or{ "requirements" : "/Volumes/path/to/requirements.txt" }
- statusstring
Status of installing the library on the cluster.
- messagesarray of string
All the info and warning messages that have occurred so far for this library.
- is_library_for_all_clustersboolean
Whether the library was set to be installed on all clusters via the libraries UI.
Create GA
POST
Add libraries to install on a cluster. The installation is asynchronous; it happens in the background after the completion of this request.
API scopes: libraries
Request body
- cluster_idstring
Unique identifier for the cluster on which to install these libraries.
- librariesarray of object
The libraries to install.
Show child attributesHide child attributes
- jarstringRequired
URI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "s3://my-bucket/library.jar" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "abfss://my-bucket/library.jar" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the jar library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "gs://my-bucket/library.jar" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- eggstringRequired
Deprecated. URI of the egg library to install. Installing Python egg files is deprecated and is not supported in Databricks Runtime 14.0 and above.
- pypiobjectRequired
Specification of a PyPi library to be installed. For example:
{ "package": "simplejson" }Show child attributesHide child attributes
- packagestring
The name of the pypi package to install. An optional exact version specification is also supported. Examples: "simplejson" and "simplejson==3.8.0".
- repostring
The repository where the package can be found. If not specified, the default pip index is used.
- mavenobjectRequired
Specification of a maven library to be installed. For example:
{ "coordinates": "org.jsoup:jsoup:1.7.2" }Show child attributesHide child attributes
- coordinatesstring
Gradle-style maven coordinates. For example: "org.jsoup:jsoup:1.7.2".
- repostring
Maven repo to install the Maven package from. If omitted, both Maven Central Repository and Spark Packages are searched.
- exclusionsarray of string
List of dependences to exclude. For example:
["slf4j:slf4j", "*:hadoop-client"].Maven dependency exclusions: https://maven.apache.org/guides/introduction/introduction-to-optional-and-excludes-dependencies.html.
- cranobjectRequired
Specification of a CRAN library to be installed as part of the library
Show child attributesHide child attributes
- packagestring
The name of the CRAN package to install.
- repostring
The repository where the package can be found. If not specified, the default CRAN repo is used.
- whlstringRequired
URI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "s3://my-bucket/library.whl" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "abfss://my-bucket/library.whl" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the wheel library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "gs://my-bucket/library.egg" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- requirementsstringRequired
URI of the requirements.txt file to install. Only Workspace paths and Unity Catalog Volumes paths are supported. For example:
{ "requirements": "/Workspace/path/to/requirements.txt" }or{ "requirements" : "/Volumes/path/to/requirements.txt" }
Delete GA
POST
Set libraries to uninstall from a cluster. The libraries won't be uninstalled until the cluster is restarted. A request to uninstall a library that is not currently installed is ignored.
API scopes: libraries
Request body
- cluster_idstring
Unique identifier for the cluster on which to uninstall these libraries.
- librariesarray of object
The libraries to uninstall.
Show child attributesHide child attributes
- jarstringRequired
URI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "s3://my-bucket/library.jar" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "abfss://my-bucket/library.jar" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the jar library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "gs://my-bucket/library.jar" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- eggstringRequired
Deprecated. URI of the egg library to install. Installing Python egg files is deprecated and is not supported in Databricks Runtime 14.0 and above.
- pypiobjectRequired
Specification of a PyPi library to be installed. For example:
{ "package": "simplejson" }Show child attributesHide child attributes
- packagestring
The name of the pypi package to install. An optional exact version specification is also supported. Examples: "simplejson" and "simplejson==3.8.0".
- repostring
The repository where the package can be found. If not specified, the default pip index is used.
- mavenobjectRequired
Specification of a maven library to be installed. For example:
{ "coordinates": "org.jsoup:jsoup:1.7.2" }Show child attributesHide child attributes
- coordinatesstring
Gradle-style maven coordinates. For example: "org.jsoup:jsoup:1.7.2".
- repostring
Maven repo to install the Maven package from. If omitted, both Maven Central Repository and Spark Packages are searched.
- exclusionsarray of string
List of dependences to exclude. For example:
["slf4j:slf4j", "*:hadoop-client"].Maven dependency exclusions: https://maven.apache.org/guides/introduction/introduction-to-optional-and-excludes-dependencies.html.
- cranobjectRequired
Specification of a CRAN library to be installed as part of the library
Show child attributesHide child attributes
- packagestring
The name of the CRAN package to install.
- repostring
The repository where the package can be found. If not specified, the default CRAN repo is used.
- whlstringRequired
URI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "s3://my-bucket/library.whl" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "abfss://my-bucket/library.whl" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the wheel library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "gs://my-bucket/library.egg" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- requirementsstringRequired
URI of the requirements.txt file to install. Only Workspace paths and Unity Catalog Volumes paths are supported. For example:
{ "requirements": "/Workspace/path/to/requirements.txt" }or{ "requirements" : "/Volumes/path/to/requirements.txt" }
All Cluster Statuses GA
GET
Get the status of all libraries on all clusters. A status is returned for all libraries installed on this cluster via the API or the libraries UI.
API scopes: libraries
Response
- statusesarray of object
A list of cluster statuses.
Show child attributesHide child attributes
- cluster_idstring
Unique identifier for the cluster.
- library_statusesarray of object
Status of all libraries on the cluster.
Show child attributesHide child attributes
- libraryobject
Unique identifier for the library.
Show child attributesHide child attributes
- jarstringRequired
URI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "s3://my-bucket/library.jar" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the JAR library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "abfss://my-bucket/library.jar" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the jar library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "jar": "/Workspace/path/to/library.jar" },{ "jar" : "/Volumes/path/to/library.jar" }or{ "jar": "gs://my-bucket/library.jar" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- eggstringRequired
Deprecated. URI of the egg library to install. Installing Python egg files is deprecated and is not supported in Databricks Runtime 14.0 and above.
- pypiobjectRequired
Specification of a PyPi library to be installed. For example:
{ "package": "simplejson" }
- mavenobjectRequired
Specification of a maven library to be installed. For example:
{ "coordinates": "org.jsoup:jsoup:1.7.2" }
- cranobjectRequired
Specification of a CRAN library to be installed as part of the library
- whlstringRequired
URI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and S3 URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "s3://my-bucket/library.whl" }. If S3 is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM role to access the S3 URI.AzureURI of the wheel library to install. Supported URIs include Workspace paths, Unity Catalog Volumes paths, and ADLS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "abfss://my-bucket/library.whl" }. If ADLS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with a Microsoft Entra ID service principal to access the ADLS URI.GCPURI of the wheel library to be installed. Supported URIs include Workspace path, UC Volumes path, and GCS URIs. For example:
{ "whl": "/Workspace/path/to/library.whl" },{ "whl" : "/Volumes/path/to/library.whl" }or{ "whl": "gs://my-bucket/library.egg" }. If GCS is used, please make sure the cluster has read access on the library. You may need to launch the cluster with an IAM service account to access the GCS URI.
- requirementsstringRequired
URI of the requirements.txt file to install. Only Workspace paths and Unity Catalog Volumes paths are supported. For example:
{ "requirements": "/Workspace/path/to/requirements.txt" }or{ "requirements" : "/Volumes/path/to/requirements.txt" }
- statusstring
Status of installing the library on the cluster.
- messagesarray of string
All the info and warning messages that have occurred so far for this library.
- is_library_for_all_clustersboolean
Whether the library was set to be installed on all clusters via the libraries UI.